Skip to main content
GET

Authorizations

Authorization
string
header
required

Organization API key passed as a Bearer token. This is the scheme used by the public SDK surface.

Query Parameters

created_from
string<date-time>

Filter agents created at or after this timestamp.

created_to
string<date-time>

Filter agents created at or before this timestamp.

creator_id
integer[]

Filter agents by creator user ID. Can be provided multiple times.

engine_class_id
string[]

Filter agents by engine type. Can be provided multiple times.

exclude_engine_class_id
string

Exclude agents with this engine type.

include_job_stats
boolean

Include job_count and most_recent_job in response (default: true). Set to false for faster response.

include_untagged
boolean

Include agents with no visible user tags. Hidden agent-group tags are ignored.

job_count_max
integer

Filter agents whose served job count is less than or equal to this value.

job_count_min
integer

Filter agents whose served job count is greater than or equal to this value.

most_recent_job_from
string<date-time>

Filter agents whose most recent job was at or after this timestamp.

most_recent_job_to
string<date-time>

Filter agents whose most recent job was at or before this timestamp.

name
string

Filter agents by a case-insensitive substring of the agent name.

ordering
string

Field to order results by. Prefix with '-' for descending. Options: name, created_at, updated_at, most_recent_job, job_count, engine_class_id, creator.

organization_id
string<uuid>
required

Organization ID to list agents from.

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Search term to filter agents by name, ID, engine, creator, tags, or version IDs (case-insensitive).

tags
string[]

Filter agents by tag IDs. Can be provided multiple times.

updated_from
string<date-time>

Filter agents whose last config update was at or after this timestamp.

updated_to
string<date-time>

Filter agents whose last config update was at or before this timestamp.

Response

Successfully retrieved list of agents.

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"